<mjml version="3.3.3">
  <mj-body background-color="#F4F4F4">
    <mj-include path="./partials/header.mjml"/>
    <mj-section background-color="#ffffff" background-repeat="repeat" background-size="auto" padding="20px 0px 20px 0px"
                text-align="center">
      <mj-column>
        <mj-text align="center" color="#55575d" font-family="Arial, sans-serif" font-size="14px" line-height="28px"
                 padding="0px 25px 0px 25px">
            <h1>{{ 'comsa_sulu_shopping_cart.standard_order_title'|trans }}</h1>
            <p>{{ 'comsa_sulu_shopping_cart.standard_order_text'|trans }}</p>
        </mj-text>

        <mj-table>
          <tr style="border-bottom:1px solid #ecedee;text-align:left;padding:15px 0;">
            <th colspan="1"
                style="padding: 0 15px 0 0; width: 50%; text-align: left">{{ 'comsa_sulu_shopping_cart.product'|trans }}</th>
            <th colspan="1"
                style="padding: 0 15px; width: 25%; text-align: center">{{ 'comsa_sulu_shopping_cart.quantity'|trans }}</th>
            <th colspan="1"
                style="padding: 0 0 0 15px; width: 25%; text-align: right">{{ 'comsa_sulu_shopping_cart.price'|trans }}</th>
          </tr>
          {% for cartItem in cartItems %}
            <tr>
              <td colspan="1" style="width: 50%; text-align: left">
                {{ cartItem.title }}
                <ul>
                  {% for option in cartItem.options %}
                    <li>{{ option.title }}</li>
                  {% endfor %}
                </ul>
              </td>
              <td colspan="1" style="width: 25%; text-align: center">{{ cartItem.quantity }}</td>
              <td colspan="1" style="width: 25%; text-align: right">
                {{ cartItem.price|price }}
                <ul style="list-style: none">
                  {% for option in cartItem.options %}
                    <li>{{ option.price|price }}</li>
                  {% endfor %}
                </ul>
              </td>
            </tr>
            {% for customCartItemProperty in customCartItemProperties %}
              <tr>
                <th>{{ ('properties.' ~ customCartItemProperty)|trans }}:</th>
                <td>{{ attribute(cartItem, customCartItemProperty) }}</td>
              </tr>
            {% endfor %}
          {% endfor %}
          <tr style="border-top: 1px solid #000">
            <th colspan="2" style="padding: 0 15px 0 0; width: 50%; text-align: center">{{ 'comsa_sulu_shopping_cart.total'|trans }}</th>
            <td colspan="1" style="width: 25%; text-align: right">€{{ total|number_format(2) }}</td>
          </tr>
        </mj-table>
      </mj-column>
    </mj-section>
    <mj-section background-color="#ffffff" background-repeat="repeat" background-size="auto" padding="20px 0px 20px 0px"
                text-align="center">
      <mj-column>
        <mj-text align="center" color="#55575d" font-family="Arial, sans-serif" font-size="14px" line-height="28px"
                 padding="0px 25px 0px 25px">
          <h2>{{ 'comsa_sulu_shopping_cart.extra_properties'|trans }}</h5>
          <table style="margin:auto">
            {% for customOrderProperty in customOrderProperties %}
              <tr>
                <th>{{ ('properties.' ~ customOrderProperty)|trans }}:</th>
                {% if is_DateTime(order,customOrderProperty) %}
                  <td>{{ attribute(order,customOrderProperty)|date("d-m-Y") }}</td>
                {% else %}
                  <td>{{ attribute(order,customOrderProperty) }}</td>
                {% endif %}
              </tr>
            {% endfor %}
          </table>
        </mj-text>
      </mj-column>
    </mj-section>
    <mj-section background-color="#ffffff" background-repeat="repeat" background-size="auto" padding="20px 0px 20px 0px"
                text-align="center">
      <mj-column>
        <mj-text align="center" color="#55575d" font-family="Arial, sans-serif" font-size="14px" line-height="28px"
                 padding="0px 25px 0px 25px">
          <h2>{{ 'comsa_sulu_shopping_cart.note'|trans }}</h5>
          {% if order.note is not empty %}
            <p>{{ order.note }}</p>
          {% else %}
            <p>{{ 'comsa_sulu_shopping_cart.empty_note'|trans }}</p>
          {% endif %}
        </mj-text>
      </mj-column>
    </mj-section>
    <mj-section background-color="#ffffff" background-repeat="repeat" background-size="auto" padding="20px 0px 20px 0px"
                text-align="center">
      <mj-column>
        <mj-text align="left" color="#55575d" font-family="Arial, sans-serif" font-size="14px" line-height="28px"
                 padding="0px 25px 0px 25px">
          <h2>{{ 'comsa_sulu_shopping_cart.contact_information'|trans }}</h5>
          <table style="margin:auto">
            <tr>
              <th style="text-align: left">{{ 'comsa_sulu_shopping_cart.name'|trans }}</th>
              <td style="text-align: right">{{ customer.fullName }}</td>
            <tr>
              <th style="text-align: left">{{ 'comsa_sulu_shopping_cart.phone_number'|trans }}</th>
              <td style="text-align: right">{{ customer.phoneNumber }}</td>
            </tr>
            <tr>
              <th style="text-align: left">{{ 'comsa_sulu_shopping_cart.email'|trans }}</th>
              <td style="text-align: right">{{ customer.email }}</td>
            </tr>
            <tr>
              <th style="text-align: left">{{ 'comsa_sulu_shopping_cart.address'|trans }}</th>
              <td style="text-align: right">{{ customer.billingAddress.address }}</td>
            </tr>
            </tr>
          </table>
        </mj-text>
      </mj-column>
    </mj-section>
    <mj-include path="./partials/footer.mjml"/>
  </mj-body>
</mjml>
